# frozen_string_literal: true

module BankOfBaku
  class Error < StandardError; end
  class HTTPResponseError < Error; end
  class RegisteredOrder < Error; end
  class InvalidCurrency < Error; end
  class MissingParameter < Error; end
  class InvalidParameterValue < Error; end
  class DeclinedOrder < Error; end
  class UnregisteredOrder < Error; end
  class GatewayError < Error; end
end
