# frozen_string_literal: true

module BankOfBaku
  module Requests
    # @param [Hash] options
    # @return [Hash]
    # @raise [BankOfBaku::HTTPResponseError]
    # @raise [BankOfBaku::RegisteredOrder]
    # @raise [BankOfBaku::InvalidCurrency]
    # @raise [BankOfBaku::MissingParameter]
    # @raise [BankOfBaku::InvalidParameterValue]
    # @raise [BankOfBaku::GatewayError]
    def register(options)
      run_request('register.do', options)
    end

    # @param [Hash] options
    # @return [Hash]
    # @raise [BankOfBaku::HTTPResponseError]
    # @raise [BankOfBaku::DeclinedOrder]
    # @raise [BankOfBaku::InvalidParameterValue]
    # @raise [BankOfBaku::UnregisteredOrder]
    def order_status(options)
      run_request('getOrderStatus.do', options)
    end
  end
end
